Bug 311906 - Last played bias is ignored or doesn't work
Summary: Last played bias is ignored or doesn't work
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.6.0
Platform: Microsoft Windows Microsoft Windows
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-18 20:32 UTC by Sergio Del Franco
Modified: 2013-01-02 09:58 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments
In the screenshot you can see the dynamic playlist definition, but the song being played does not match the definition (243.61 KB, image/png)
2012-12-18 20:32 UTC, Sergio Del Franco
Details
In case someone ask, I have more than 20 days of music (28.66 KB, image/png)
2012-12-18 20:33 UTC, Sergio Del Franco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Del Franco 2012-12-18 20:32:11 UTC
Created attachment 75909 [details]
In the screenshot you can see the dynamic playlist definition, but the song being played does not match the definition

I created a dynamic playlist using this tree:
Match all
* Not label: "no-laborable"
* (and) lastplay: >10d
* (and) Match any
* * playcount: 0
* * (or) rating: >3
* * (or) score: >25

But a song played 3 hours ago is playing.
Comment 1 Sergio Del Franco 2012-12-18 20:33:54 UTC
Created attachment 75910 [details]
In case someone ask, I have more than 20 days of music
Comment 2 Ralf Engels 2012-12-18 23:42:06 UTC
I can explain that and probably also fix.
I think I shouldn't buffer the collection query result longer than a couple of minutes.
Comment 3 Sergio Del Franco 2012-12-20 14:51:27 UTC
(In reply to comment #2)
> I can explain that and probably also fix.
> I think I shouldn't buffer the collection query result longer than a couple
> of minutes.

It doesn't appear to be a buffer problem because it is happening even with songs played 2 days ago (i.e. Amarok and computer were restarted at least two times).
Comment 4 Ralf Engels 2012-12-20 20:26:18 UTC
Hi Sergio,
you need to give me more.
More information.
Like a relevant debug output (which you get if you start amarok with --debug).
Also how often does this happen? Only one song? Maybe something to do with the label? What happens if you reduce the dynamic playlist, maybe it's an interdependency?
Comment 5 Matěj Laitl 2013-01-02 09:58:31 UTC
FIxed by Ralf, commit hooks were apparently disabled when he pushed. :-(